Bug 111782 - [ICL/Iris] (recoverable) GPU hangs in SynMark2 CSDof
Summary: [ICL/Iris] (recoverable) GPU hangs in SynMark2 CSDof
Status: RESOLVED MOVED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/Iris (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: not set not set
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-23 13:25 UTC by Eero Tamminen
Modified: 2019-09-25 18:47 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
ICL error state (22.62 KB, text/plain)
2019-09-23 13:25 UTC, Eero Tamminen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eero Tamminen 2019-09-23 13:25:00 UTC
Created attachment 145470 [details]
ICL error state

Setup:
- ICL-U
- Ubuntu 18.04
- drm-tip git kernel
- Mesa git
- Unity desktop

Test-case:
- 3x fullscreen FullHD CSDof compute SynMark test-case:
  synmark2 OglCSDof

Notes:
* Main difference from this test to other tests is that it causes a lot of register spilling while compiling on of the compute shaders
* Bug 111385 GPU hangs happen also on ICL, but CSDof hang doesn't happen on GEN9
* There are no GPU hangs with the i965 driver
Comment 1 Kenneth Graunke 2019-09-23 16:08:06 UTC
Yeah, we need to finish https://gitlab.freedesktop.org/mesa/mesa/merge_requests/1749
Comment 2 Eero Tamminen 2019-09-24 10:59:40 UTC
Should be fixed by:
----------------------------------------------------------
commit b9e93db20896a436c716107dd0d12057b3aa9f72
Author:     Kenneth Graunke <kenneth@whitecape.org>
AuthorDate: Thu Aug 22 17:32:25 2019 -0700
Commit:     Kenneth Graunke <kenneth@whitecape.org>
CommitDate: Mon Sep 23 16:59:40 2019 -0700

    intel: Increase Gen11 compute shader scratch IDs to 64.
----------------------------------------------------------

I'll verify this when I get again access to an ICL device.

From patch I see that this change is separately applied to all drivers: Iris, i965 and Anv.  

However, I didn't get hang with i965. Does it spill less than Iris in CSDof?
Comment 3 GitLab Migration User 2019-09-25 18:47:59 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/mesa/mesa/issues/1368.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.